gloss-1.13.2.2: Painless 2D vector graphics, animations and simulations.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Gloss.Data.Display

Synopsis

- data Display
  - = InWindow String (Int, Int) (Int, Int)
  - | FullScreen

# Documentation

data Display Source #

Describes how Gloss should display its output.

Constructors

InWindow String (Int, Int) (Int, Int) | Display in a window with the given name, size and position.
FullScreen | Display full screen.

#### Instances

Instances details

Read Display Source # |
Instance details Defined in Graphics.Gloss.Data.Display Methods readsPrec :: Int -> ReadS Display Source # readList :: ReadS [Display] Source # readPrec :: ReadPrec Display Source # readListPrec :: ReadPrec [Display] Source #
Show Display Source # |
Instance details Defined in Graphics.Gloss.Data.Display Methods showsPrec :: Int -> Display -> ShowS Source # show :: Display -> String Source # showList :: [Display] -> ShowS Source #
Eq Display Source # |
Instance details Defined in Graphics.Gloss.Data.Display Methods (==) :: Display -> Display -> Bool Source # (/=) :: Display -> Display -> Bool Source #